#include "globals.h"
#ifndef BLPFRAMES_H
#define BLPFRAMES_H

#define BLPSCR_M 0
#define BLPSCR_H 8
#define BLPSCR_W 18

#define BLPKATE_X 9
#define BLPKATE_Y 3


struct BLP_Frame {
	char magic[4];
	char frameNum[4];
	char width[2];
	char height[2];
	char pixels[144]; // currently fixed
};

void initBLPFrames();
void deInitBLPFrames();
void recieveBLPFrame(bool matrixMode);

extern BLP_Frame currentBLPFrame;

#endif // BLPFRAMES_H
